用户登录

我们要使用 Provider 提供的这种方式管理应用的状态,需要额外安装一个 package,在终端,项目所在目录的下面,可以执行一下 flutter pub add provider,这样会自动给我们在项目里准备好需要用的 provider,还有它依赖的东西。

安装完成以后可以打开 pubspec.yaml 这个文件观察一下,你会发现在 dependencies 里面,会列出刚才安装的 provider 这个包,我这里用的是 5.0.0 这个版本的 provider,为了保持一致,你也可以安装使用同样版本的 provider。版本号前面这个向上的小箭头,表示允许小版本还有补丁版本的更新。

安装了 provider 以后,在想要使用 provider 的文件里,从 provider 这个包里面导入 provider.dart 就可以了。

安装 Provider《 Flutter 2:状态管理 》

统计

13799
分钟
0
你学会了
0%
完成

社会化网络

关于

微信订阅号

扫描微信二维码关注宁皓网,每天进步一点